Subject: Re: bug#9939: Problems with the SIZE description in man pages for <ls> and <du>

From: Ruediger Meier <[email-masked]>
Date: Tue, 15 Nov 2011 20:09:23 +0100

On Tuesday 15 November 2011, Eric Blake wrote:
> On 11/15/2011 11:25 AM, Jim Meyering wrote:
> > Eric Blake wrote:
> >> On 11/15/2011 11:12 AM, Ruediger Meier wrote:
> >>> I also think the multiplier version is a bit easier to read.
> >>> My preferred one would be something like this:
> >>>
> >>> -SIZE is an integer with an optional suffix (example: 10MB). 
> >>> Suffixes are:\n\ -KB 1000, K 1024, MB 1000*1000, M 1024*1024, and
> >>> so on for G, T, P, E, Z, Y.\n\ +SIZE is an integer with an
> >>> optional unit, e.g. 10M (1024*1024). Valid units\n\ +are K, M, G,
> >>> T, P, E, Z, Y (powers of 1024) or KB, MB, ... (powers of
> >>> 1000).\n\
> >>
> >> Not quite accurate on 10M.  But I think it does read a bit better.

Hehe, I guess I'd given up to fit it into the line if I had noticed it 
after 20 minutes trying hard tweaking it. :)

> >>  How about this tweak to fix the example, while still fitting in
> >> the line limitations:
>>
> >> +SIZE is an integer and optional unit (example: 10M is
> >> 10*1024*1024).  Units\n\ +are K, M, G, T, P, E, Z, Y (powers of
> >> 1024) or KB, MB,... (powers of 1000).\n\
> >
> > Go for it.  Thanks to both of you.
>
> Ruediger, if you're okay with this commit being in your name, then I
> will push this:

Yes, thanks for the fame!

cu,
Rudi